Bug 568931 - Need kpackagekit-0.6.0-0.6.20100223svn.fc13 for PackageKit-0.6.2-0.1.20100225git.fc13
Need kpackagekit-0.6.0-0.6.20100223svn.fc13 for PackageKit-0.6.2-0.1.20100225...
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
: 555014 (view as bug list)
Depends On:
Blocks: F13Alpha/F13AlphaBlocker F13blocker-KDE
  Show dependency treegraph
Reported: 2010-02-26 18:51 EST by Kevin Kofler
Modified: 2010-04-13 13:06 EDT (History)
10 users (show)

See Also:
Fixed In Version: kpackagekit-0.6.0-0.6.20100223svn.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-28 09:46:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2010-02-26 18:51:45 EST
Description of problem:
The old kpackagekit-0.6.0-0.2.20100111.fc13 is definitely not compatible with PackageKit-0.6.2-0.1.20100225git.fc13, see bug 564655 for some of the API changes which translate to unresolved symbols at runtime and it will not run at all.
The kpackagekit-0.6.0-0.5.r1095080.fc13 currently in dist-f13 is also not good, as it matched the previous 0.6.2-0.1.20100209git.fc13 snapshot which got replaced by PackageKit-0.6.2-0.1.20100225git.fc13 and the PackageKit-qt API changed again.
(BTW, it changed again in the trunk! That's why I had to build a 3 days old kpackagekit.)

Version-Release number of selected component (if applicable):
kpackagekit-0.6.0-0.2.20100111.fc13 (F13 Alpha RC4)
kpackagekit-0.6.0-0.5.r1095080.fc13 (dist-f13)

How reproducible:

Steps to Reproduce:
Try using kpackagekit, look for unresolved symbols or mismatched signals/slots or just watch it fail. Or just realize that something which won't rebuild due to API changes is also not likely to work properly.

Actual results:
kpackagekit does not work due to API/ABI breakage.

Expected results:
kpackagekit works.

Additional info:
This breaks updating on the KDE live spin.
Comment 1 Fedora Update System 2010-02-26 18:55:02 EST
kpackagekit-0.6.0-0.6.20100223svn.fc13 has been submitted as an update for Fedora 13.
Comment 2 Kevin Kofler 2010-02-26 18:55:20 EST
Updating is broken = blocker.
Comment 3 Kevin Kofler 2010-02-26 19:00:48 EST
See also https://bugzilla.redhat.com/show_bug.cgi?id=555014#c6 which is likely the same issue.
Comment 4 Adam Williamson 2010-02-26 19:24:00 EST
kevin: as noted to you before, for f13 we are only automatically considering the release criteria as they relate to the _default desktop_ (so, at present, desktop spin, or default package set from the DVDs; both of which give you GNOME).

we'll discuss this at the blocker meeting, but just a heads-up that KDE failing the criteria does not automatically constitute a blocker as it would for GNOME, yet.
Comment 5 Fedora Update System 2010-02-27 08:00:41 EST
kpackagekit-0.6.0-0.6.20100223svn.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpackagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3115
Comment 6 Kevin Kofler 2010-02-27 10:12:37 EST
*** Bug 555014 has been marked as a duplicate of this bug. ***
Comment 7 Martin Naď 2010-02-27 10:39:19 EST
new kpackagekit has strange behavior with PolicyKit ask for password to around.
(maybe becose I use old settings for polkit  suchlike early fc12).
Comment 8 Martin Naď 2010-02-27 10:46:04 EST
its somebody can reproduce this in Comment 7 ?
Comment 9 Martin Kho 2010-02-27 12:35:33 EST

Sorry, but I think I can't help on this one, because I'm sucked into FC14 ;-(

Here I have PackageKit-0.6.2-0.1.20100219git.fc14.x86_64. This version doesn't like kpackagekit-0.6.0-0.6.20100223svn.fc13.x86_64 at all. It crashes kpackagekit when I hit the refresh button in Software Updates window. A full KCrash report was created. If your interested in it, I'll upload it.

Martin Kho

Btw. I doubt if it is worth the trouble to have a KDE package manager that is based on PackageKit. With every new version of PackageKit, kpackagekit will be broken. This is just my thought FWIW :-)
Comment 10 Fedora Update System 2010-02-28 09:46:26 EST
kpackagekit-0.6.0-0.6.20100223svn.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Adam Williamson 2010-03-01 16:47:30 EST
for the record - Jesse says he'll take the fix for this if we wind up doing an Alpha RC5, but right now he's feeling good about RC4 so we may well just release RC4 as the Alpha. Sorry about that. It _might_ be possible to just respin the KDE live image with the new kpackagekit to make things better for live users, at least - we'll think about that one.
Comment 12 Paul W. Frields 2010-04-13 07:35:23 EDT
Noting on [[Common F13 bugs]] wiki page.

Comment 13 Adam Williamson 2010-04-13 13:04:09 EDT
Paul, if it's got the CommonBugs keyword and a URL in the whiteboard field, you don't need to do that: we already use those two factors to know that it's on the page. But thanks :)

Fedora Bugzappers volunteer triage team
Comment 14 Adam Williamson 2010-04-13 13:06:33 EDT

Fedora Bugzappers volunteer triage team

Note You need to log in before you can comment on or make changes to this bug.